Subject: bug#50243: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Jul 2025 15:19:02 +0000

Your bug report

#50243: [core-updates-frozen] "multiple definition of..." build failures

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50243: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50243
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Mon, 7 Jul 2025 17:18:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this as probably not applicable any more.

Andreas

Subject: [core-updates-frozen] "multiple definition of..." build failures
From: Sarah Morgensen <[email-masked]>
To: [email-masked]
Date: Sat, 28 Aug 2021 14:23:13 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

GCC 10 changed the default behavior when encountering multiple
definitions of a global (often an enum) [0].  This causes error messages
like [1]:

--8<---------------cut here---------------start------------->8---
  ld: a.o:(.bss+0x0): multiple definition of `a'; main.o:(.data+0x0): first defined here
--8<---------------cut here---------------end--------------->8---

Gentoo's tracker for this issue [2] also has some more info.  I manually
searched Cuirass build logs and found 28 packages failing on x86_64 with
this error:

[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]

I submitted an issue upstream for transmission-remote-gtk [3], but I
haven't taken a look at the others.  Any takers?

[0] https://gcc.gnu.org/gcc-10/porting_to.html
[1] https://wiki.gentoo.org/wiki/Project:Toolchain/Gcc_10_porting_notes/fno_common
[2] https://bugs.gentoo.org/705764
[3] https://github.com/transmission-remote-gtk/transmission-remote-gtk/issues/122

--
Sarah